import PocketBase from 'pocketbase';

export const pb = new PocketBase(import.meta.env.PUBLIC_POCKETBASE_URL);

// Это отключает авто-отмену глобально для всех запросов
pb.autoCancellation = false;

export function getImageUrl(record, filename) {
  return `${import.meta.env.PUBLIC_POCKETBASE_URL}/api/files/${record.collectionId}/${record.id}/${filename}`;
}